<?php

function social_facebook($facebook,$cols=4,$height=320) {
	switch ($cols) {
		case 4:
			$width = 370; break;
		case 6:
			$width = 555; break;
		case 8:
			$width = 770; break;
		case 12:
			$width = 1170; break;
		default:
			$width = 370;
	}
	return '<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.8&appId=149270938859";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, \'script\', \'facebook-jssdk\'));</script>' .
			
	'<div class="fb-page" data-href="'.$facebook.'" style="width:'.$width.'px" data-tabs="timeline" data-width="'.$width.'" data-height="'.$height.'" data-small-header="true" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true"><blockquote cite="'.$facebook.'" class="fb-xfbml-parse-ignore"><a href="'.$facebook.'">'.get_bloginfo('name').'</a></blockquote></div>';
	
}



function social_twitter($twitter) {
	$tweeter = new TweetPHP(array(
      'consumer_key'              => TWITTER_CONSUMER_KEY,
      'consumer_secret'           => TWITTER_CONSUMER_SECRET,
      'access_token'              => TWITTER_TOKEN,
      'access_token_secret'       => TWITTER_TOKEN_SECRET,
      'twitter_screen_name'       => $twitter,
    ));
	
	$tweets = $tweeter->get_tweet_array();
	$out = array();
	for ($i=0; $i<10; $i++) {
		$tweet = $tweets[$i];
		$text = $tweet['text'];
		$media = null;
		if (isset($tweet['entities']) && isset($tweet['entities']['media'])) {
			$media = $tweet['entities']['media'][0];
			switch ($media['type']) {
				case 'photo':
					$text = str_replace($media['url'],'',$text);
					$media = '<img src="'.str_replace(array('http:','https:'),'',$media['media_url']).'">';
					break;
			}
		}
		
		$text = $tweeter->autolink($text);
		
		$text = '<div class="bird"><i class="fa fa-twitter fa-3x" aria-hidden="true"></i></div><div class="tweet-text">'.$text.'</div>';
		
		if (isset($media)) {
			$out[] = '<div class="row tweet"><div class="columns medium-6 text-center">'.$text.'</div><div class="columns medium-6 tweet-media">'.$media.'</div></div>';
		} else {
			$out[] = '<div class="row tweet"><div class="columns"><div class="tweet-text">'.$text.'</div></div></div>';
		}
	}
//	$text = 
	return '<div id="tweets">'.implode('',$out).'</div>';
//	return 'TWITTER';
}


function social_youtube($youtube) {
	if (strpos($youtube,'/watch')) {
		return '<iframe width="560" src="https://www.youtube.com/embed/'.youtube_video_id($youtube).'?rel=0&showinfo=0&enablejsapi=1" id="footer-social-youtube-iframe" frameborder="0" allowfullscreen></iframe>';
	} elseif (strpos($youtube,'/channel/')) {
//		return '<iframe src="http://www.youtube.com/embed/list='.youtube_channel_id($youtube).'" width="560" height="315"></iframe>';
	}
}

function youtube_video_id($url) {
	parse_str( parse_url( $url, PHP_URL_QUERY ), $query_parts );
	if (array_key_exists('v', $query_parts)) {
		return $query_parts['v'];
	}
}

function youtube_channel_id($url) {
	$parts = explode('/',parse_url( $url, PHP_URL_PATH ));
	if (count($parts) >= 3) {
		return $parts[2];
	}
}
