<?php

$social = array_filter([
	'facebook-square'	=> get_theme_mod('facebook'),
	'twitter-square'	=> get_theme_mod('twitter'),
	'youtube-square'	=> get_theme_mod('youtube'),
	'instagram'			=> get_theme_mod('instagram'),
	'linkedin-square'	=> get_theme_mod('linkedin'),	
]);
if (empty($social)) {
	return;
}

$cols = floor(12/count($social));
$push = floor((12%($cols*count($social)))/2);

?>
<div id="social-links">
	<div class="row">
		<?php
		foreach ($social as $icon => $link) {
			?>
		<div class="columns end text-center small-<?php print $cols ?> small-push-<?php print $push ?>">
			<?php
			switch ($icon) {
				case 'twitter-square':
					print '<a href="https://twitter.com/'.$link.'" target="_blank"><i class="fa fa-3x fa-'.$icon.'"></i></a>';
					break;
				default:
					print '<a href="'.$link.'" target="_blank"><i class="fa fa-3x fa-'.$icon.'"></i></a>';
			}
			?>
		</div>
			<?php
		}
		?>
	</div>
</div>
