<?php
/*
Template Name: Contacts Map Page
*/
?>

<?php get_header('contact-map'); ?>
			
	<div id="content">
		
		<?php get_template_part( 'parts/page-elements', 'buttons' ); ?>
		
		<?php get_template_part( 'parts/page-elements', 'links' ); ?>
		
		<div id="inner-content" class="row">
	
		    <main id="main" class="columns" role="main">
				
				<?php get_template_part( 'parts/contact', 'list' ); ?>
				
			</main> <!-- end #main -->

		</div> <!-- end #inner-content -->
		
		<?php get_template_part( 'parts/page-elements', 'banners' ); ?>
	
	</div> <!-- end #content -->

<?php get_footer(); ?>
